<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Biru
 */

get_header(); ?>

<div class="row site-main">
	<main id="main" class="col-md-8 content-area">

			<section class="error-404 not-found">
				<header class="page-header">
					<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'biru' ); ?></h1>
				<!-- .page-header --></header>

				<div class="page-content">
					<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'biru' ); ?></p>

					<div class="widget widget_search">
						<?php get_search_form(); ?>
					</div>

					<?php
						the_widget( 'WP_Widget_Recent_Posts', '', 'before_title=<h3 class="widget-title"><span>&after_title=</span></h3>' );

						if ( biru_categorized_blog() ) :
					?>

					<div class="widget widget_categories">
						<h3 class="widget-title"><span><?php esc_html_e( 'Most Used Categories', 'biru' ); ?></span></h3>
						<ul>
						<?php
							wp_list_categories( array(
								'orderby'    => 'count',
								'order'      => 'DESC',
								'show_count' => 1,
								'title_li'   => '',
								'number'     => 10,
							) );
						?>
						</ul>
					<!-- .widget --></div>

					<?php
						endif;

						/* translators: %1$s: smiley */
						$archive_content = '<p>' . sprintf( esc_html__( 'Try looking in the monthly archives. %1$s', 'biru' ), convert_smilies( ':)' ) ) . '</p>';
						the_widget( 'WP_Widget_Archives', '', 'before_title=<h3 class="widget-title"><span>&after_title=</span></h3>' . $archive_content );
						the_widget( 'WP_Widget_Tag_Cloud', '', 'before_title=<h3 class="widget-title"><span>&after_title=</span></h3>' );
					?>

				<!-- .page-content --></div>
			<!-- .error-404 --></section>

	<!-- .content-area --></main>

	<?php get_sidebar(); ?>

<!-- .site-main --></div>

<?php
get_footer();