<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Biru
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<nav class="navbar navbar-neowp">
	<div class="container">
		<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#site-search" aria-expanded="false">
			<span class="sr-only"><?php esc_html__( 'Toggle Search', 'biru' ); ?></span>
			<span class="ti-search"></span>
		</button>
		<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-main" aria-expanded="false">
			<span class="sr-only"><?php esc_html__( 'Toggle Menu', 'biru' ); ?></span>
			<span class="ti-menu"></span>
		</button>

		<?php
			biru_site_branding();
			biru_site_search(); 
			biru_site_social();
			
			wp_nav_menu(
				array(
					'theme_location'	=> 'main',
					'container_id'		=> 'navbar-main',
					'container_class'	=> 'collapse navbar-collapse navbar-left',
					'menu_class'		=> 'nav navbar-nav',
					'fallback_cb' 		=> 'wp_bootstrap_navwalker::fallback',
					'walker' 			=> new wp_bootstrap_navwalker()
				)
			);
		?>
	<!-- .container --></div>
<!-- .navbar-neowp --></nav>

<div class="site-content">
	<div class="container">