<?php
/**
 * Adds custom widgets
 */

/**
 * Helper function that updates fields in the dashboard form
 *
 * @since neowp Widget Pack 1.0
 */
function biru_widgets_updated_field_value( $widget_field, $new_field_value ) {

	extract( $widget_field );
	
	// Allow only integers in number fields
	if( $biru_widgets_field_type == 'number' ) {
		return absint( $new_field_value );
		
	// Allow some tags in textareas
	} elseif( $biru_widgets_field_type == 'textarea' ) {
		// Check if field array specifed allowed tags
		if( !isset( $biru_widgets_allowed_tags ) ) {
			// If not, fallback to default tags
			$biru_widgets_allowed_tags = '<p><strong><em><a>';
		}
		return strip_tags( $new_field_value, $biru_widgets_allowed_tags );
		
	// No allowed tags for all other fields
	} else {
		return strip_tags( $new_field_value );
	}

}

/**
 * Include helper functions that display widget fields in the dashboard
 *
 * @since neowp Widget Pack 1.0
 */
require get_template_directory() . '/includes/widgets/widget-fields.php';

/**
 * Register Post Preview Widget
 *
 * @since neowp Widget Pack 1.0
 */
require get_template_directory() . '/includes/widgets/widget-preview-post.php';

/**
 * Register Social Icons Widget
 *
 * @since neowp Widget Pack 1.0
 */
require get_template_directory() . '/includes/widgets/widget-social-icons.php';

/**
 * Flickr Stream Widget
 *
 * @since neowp Widget Pack 1.0
 */
require get_template_directory() . '/includes/widgets/widget-flickr-stream.php';

/**
 * Tabber Widget
 *
 * @since neowp Widget Pack 1.0
 */
require get_template_directory() . '/includes/widgets/widget-tabs.php';