<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Biru
 */

get_header();
$nwp_featured_posts = biru_get_option( 'featured' );
?>

<div class="row site-main">
	<main id="main" class="col-md-8 content-area">
<?php
	if ( $nwp_featured_posts != '' && get_query_var('paged') < 2 ) {
		$featured = new WP_Query( array( 'post__in' => explode( ',', $nwp_featured_posts ), 'ignore_sticky_posts' => 1, 'posts_per_page' => 3 ) );
		if ( $featured->have_posts() ) {
?>
		<div id="featured" class="carousel slide featured-area" data-ride="carousel">
			<div class="carousel-inner" role="listbox">
			<?php
				 
				while ($featured->have_posts()) : $featured->the_post();
					get_template_part( 'partials/content', 'featured' );
				endwhile;
				wp_reset_query();
			?>
			<!-- .carousel-inner --></div>

			<ol class="carousel-indicators">
			<?php $i = -1; while ($featured->have_posts()) : $featured->the_post(); $i++; ?>
				<li data-target="#featured" data-slide-to="<?php echo $i; ?>" <?php if ( $i == 0 ) echo 'class="active"'; ?>></li>
			<?php endwhile; wp_reset_query(); ?>
			</ol>

			<a class="left carousel-control" href="#featured" role="button" data-slide="prev">
				<span class="ti-arrow-left" aria-hidden="true"></span>
				<span class="sr-only">Previous</span>
			</a>
			<a class="right carousel-control" href="#featured" role="button" data-slide="next">
				<span class="ti-arrow-right" aria-hidden="true"></span>
				<span class="sr-only">Next</span>
			</a>
		<!-- .featured-area --></div>
<?php
		}
	}
?>

		<?php
			query_posts(array( 'post__not_in' => explode( ',', $nwp_featured_posts ), 'paged' => get_query_var( 'paged' )));
			if ( have_posts() ) :
				while ( have_posts() ) : the_post();
					get_template_part( 'partials/content', get_post_format() );
				endwhile;
			endif;

			the_posts_navigation( array( 'prev_text' => __( 'Previous Posts', 'biru' ), 'next_text' => __( 'Next Posts', 'biru' ), ) );
		?>
	<!-- .content-area --></main>

	<?php get_sidebar(); ?>

<!-- .site-main --></div>

<?php
get_footer();