<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Biru
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'row' ); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
	<div class="col-sm-4 entry-thumbnail">
		<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" >
			<?php the_post_thumbnail( 'thumb-medium' ); ?>
		</a>
	</div>	
	<?php endif; ?>

	<div class="<?php echo ( get_the_post_thumbnail() != '' ) ? 'col-sm-8' : 'col-xs-12'; ?> entry-body">
		<header class="entry-header">
			<div class="entry-meta">
				<?php biru_post_cat(); ?>
			<!-- .entry-meta --></div>

			<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
		<!-- .entry-header --></header>

		<div class="entry-summary">
			<?php echo wpautop( $post->post_excerpt ? $post->post_excerpt : biru_limit_string(strip_tags($post->post_content), 150) ); ?>
		<!-- .entry-summary --></div>

		<div class="entry-footer">
			<div class="entry-meta">
				<?php biru_post_author(); ?>
				<?php biru_post_date(); ?>
				<?php biru_post_comment(); ?>
			<!-- .entry-meta --></div>
		<!-- .entry-footer --></div>
	<!-- .entry-body --></div>
<!-- #post-<?php the_ID(); ?> --></article>